// class WidgetHandlerClass extends elementorModules.frontend.handlers.Base {
//     getDefaultSettings() {}
//     getDefaultElements() {}
//     bindEvents() {

//         elementor.channels.editor.on( 'aliquando:importContent',() => alert( 'This is where you do your stuff') );

//     }
//  }

jQuery(window).ready( _ => {
    elementor.channels.editor.on( 'aliquando:importContent',($element) => {
        const lModel = $element.elementSettingsModel;
        const lRest = new ID3RestAPI();
        const lContentId = lModel.attributes.content_id;
        
        if(lContentId == undefined) return;

        console.log('calling network/getTemplateInfo',lModel)
        lRest.call('network/getTemplateInfo',{id: lContentId},{method:'GET'}).then($response => {
            const lImportModel = {
                "template_id": lContentId,
                "source": "local",
                "type": $response.data.elType,
                "title": $response.title,
                // "thumbnail": false,
                // "date": 1627469104,
                // "human_date": "28 juillet 2021",
                // "human_modified_date": "28 juillet 2021",
                // "author": "Vatero",
                "status": "publish",
                "hasPageSettings": false,
                "tags": [],
                "export_link": "//wplab.local/wp-admin/admin-ajax.php?action=elementor_library_direct_actions&library_action=export_template&source=local&_nonce=" + $response.nonce + "&template_id=" + lContentId,
                "url": "//test1.wplab.local/en/?elementor_library=global",
                get: function($key){
                    return this[$key];
                }
            }

            console.log('Ready to import', lImportModel);
            const lManager = elementor.templates;
            if(lManager == undefined) return;
            
            lManager.importTemplate(lImportModel);
        });
 

        /*
{
    "template_id": 1223,
    "source": "local",
    "type": "header",
    "title": "Header",
    "thumbnail": false,
    "date": 1627469104,
    "human_date": "28 juillet 2021",
    "human_modified_date": "28 juillet 2021",
    "author": "Vatero",
    "status": "publish",
    "hasPageSettings": true,
    "tags": [],
    "export_link": "http://test1.wplab.local/wp-admin/admin-ajax.php?action=elementor_library_direct_actions&library_action=export_template&source=local&_nonce=68b9562967&template_id=1223",
    "url": "http://test1.wplab.local/en/?elementor_library=header"
}
        */
        //lManager.importTemplate(lModel);

    } );
})
 
