id3Plugin
.controller('searchSiteCtrl', function($scope, $rootScope, $id3Rest){
    $scope.model = {
        keyword : '',
        source_only: false,
        message : ''
    }

    $scope.init = function($params){
        console.log('searchSiteCtrl/init', $params);
        $scope.model.source_only = $params.source_only;
        $scope.search();
    }

    $scope.search = function(){
        $id3Rest.post('aliquando/sites/search',{ keyword: $scope.model.keyword, source_only: $scope.model.source_only}).then($response => {
            console.log('searchSiteCtrl/search', $response);
            if(Array.isArray($response)){
                $scope.model.results = $response;
            }
            else{
                $scope.model.message = $response.err;
            }
            
        })
    }

    $scope.selectSite = function($item){
        $scope.closeAndReturn($item);
    }

});