<?php
namespace ID3\Aliquando;

?>

<id3-cookie-consent-message-bar data-id3-delay="<?php echo($consentDisplayDelay)?>">
    <section class="elementor-section elementor-section-boxed">
        
        <div class="container elementor-container id3-message-container">
            
            <div class="id3-cookie-consent-message">
                
                <?php _e('This site uses cookies. By continuing to browse the site, you are agreeing to our use of cookies.',TDOM)?>
                <?php if($privacyPolicyPageUrl != null){ ?>
                    <?php _e('To learn more,', TDOM)?> <a href="<?php echo($privacyPolicyPageUrl)?>"><?php _e('click here', TDOM) ?>.</a>
                <?php } ?>
            </div>
            <div class="id3-cookie-consent-action  elementor-widget-button">
                <button type="button" class="button id3-button  elementor-button elementor-size-sm" id3-click="close()"><span class="elementor-button-text"><?php _e('OK',TDOM)?></span></button>
            </div>
        </div>
    </section>
</id3-cookie-consent-message-bar>