<?php
namespace ID3\Aliquando;

?>

<id3-cookie-consent-popup data-id3-delay="<?php echo($consentDisplayDelay)?>">
    
    <div class="id3-message-container">
        
        <h3><?php _e('This site uses cookies',TDOM)?></h3>
        <div class="id3-cookie-consent-message">
            <?php _e('By continuing to browse the site, you are agreeing to our use of cookies.',TDOM)?>
            <?php if($privacyPolicyPageUrl != null){ ?>
                <?php _e('To learn more,', TDOM)?> <a href="<?php echo($privacyPolicyPageUrl)?>"><?php _e('click here', TDOM) ?>.</a>
            <?php } ?>
        </div>
        <div class="id3-cookie-consent-action elementor-widget-button">
            <button type="button" class="button id3-button elementor-button elementor-size-sm" id3-click="close()"><span class="elementor-button-text"><?php _e('OK',TDOM)?></span></button>
        </div>
    </div>

</id3-cookie-consent-popup>